#3043 closed defect (fixed)

4.11/rtems-nios2 does not build on Windows.

Reported by: Chris Johns Owned by:
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The attached RSB report details the failure.

The path to ranlib is the cwd (see make[5] path) plus the relative path (see the report) which is 308 characters in length and this exceeds the max path length for the Win32 API and binutils reports this as a No such file.

Attachments (1)

rsb-report-nios2-rtems4.11-gcc-4.9.3-newlib-2.2.0.20150423-x86_64-w64-mingw32-1.txt (182.9 KB) - added by Chris Johns on Jun 12, 2017 at 11:33:31 PM.
RTEMS 4.11 Windows RSB failure report for NIOS2

Download all attachments as: .zip

Change History (3)

Changed on Jun 12, 2017 at 11:33:31 PM by Chris Johns

RTEMS 4.11 Windows RSB failure report for NIOS2

comment:1 Changed on Aug 14, 2017 at 1:00:40 AM by Chris Johns

Milestone: 4.12.0
Resolution: fixed
Status: newclosed

Patch fixes for Windows have been merged.

comment:2 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.